Subject: Re: [PATCH] Add tests for git format-patch --to and format.to config option

From: Stephen Boyd <[email-masked]>
Date: Sun, 07 Mar 2010 01:43:53 -0800

On 03/06/2010 07:42 PM, Junio C Hamano wrote:
> Stephen Boyd <[email-masked]> writes:
>
>   
>> The same applies to the fomat.headers and format.cc config options. How
>> is this different?
>>     
> Not different.  Perhaps we should fix them now you noticed they share the
> same problem?
>
>
> An obvious alternative is to keep format.to not get overriden by --to as
> the original patch did; that would at least make the handling between
> config and option consistent inside the command, but at the same time, it
> means format-patch behaves differently from everything else in git.
>   

Actually, I think the same applies to send-email too? There's
sendemail.to and sendemail.cc which can't be overridden. At least the
email associated commands are all quirky ;-)

Honestly though, I think you're right about fixing them. We have the
option of making them consistent with the rest of git with a little bit
of work. If you say --no-cc or --no-add-headers or --no-to the
respective config should be overriden. If you say --to or --cc or
--add-headers it should be appended. I doubt anyone would find that
surprising since --no-* doesn't do anything right now.